function isNumeric(n) {
  return !isNaN(parseFloat(n)) && isFinite(n);
}



$(document).ready(function(){
 
 
$('[data-toggle="tooltip"]').tooltip(); 
    
    // js dla paskow postepu
    $('.karta').on('mouseenter',function(){
        var zm = $(this).find("div.obramowanie");
        //zm.children().hide();
        zm.css({width: '10px', height: '111px', backgroundColor: '#73c6a8'});
        zm.animate({
            width: '100%'
		}, 800);
    });
    
    $('.karta').on('mouseleave',function(){
        var zm = $(this).find("div.obramowanie");
        //zm.children().show();
        zm.css({backgroundColor: '#FFF', width: '100%', padding: '20px'});
    });
    

    
    // koneic js dla paskow postepu
    
    
    
    
    $('div.popup_iks').on('click',function(){
        $(this).parent().hide(); 
  
    });
    
                                                
    
    $('.dane_kontaktowe').on('click',function(){
        var wpis = '<table class="listing_popup">'+
                        '<tr><td class="label widthLabel">Telefon</td>'+
                            '<td class="dane widthDane text-justify">730 - 718 - 718</td></tr>'+
            
                        '<tr><td class="label widthLabel">Adres</td>'+
                            '<td class="dane widthDane text-justify">ul.  Żurawia 71</td></tr>'+
            
                        '<tr><td class="label widthLabel">Kod pocztowy</td>'+
                            '<td class="dane widthDane text-justify">15-540 Białystok</td></tr>'+
            '</table>';

        $('div.popup div.popup_tytul').html('Nasze dane kontaktowe');
        $('div.popup div.popup_tresc').html(wpis);
        $('div.popup').show();        
    });
    
    
    //CSS upgrades
    $('div.karta_ucznia').on('mouseover',function(){
        $(this).css({color: '#000'}); 
        $(this).children().css({color: '#fff'});     
    });
    
    $('div.karta_ucznia').on('mouseout',function(){
        $(this).css({color: '#000'});
        $(this).children().css({color: '#0aaeeb'}); 
    });
    
    $('div.karta_firmy').on('mouseover',function(){
        $(this).css({color: '#000'}); 
        $(this).children().css({color: '#fff'});     
    });
    
    $('div.karta_firmy').on('mouseout',function(){
        $(this).css({color: '#000'});
        $(this).children().css({color: '#0aaeeb'}); 
    });
    
    $('div.karta_admina').on('mouseover',function(){
        $(this).css({color: '#000'}); 
        $(this).children().css({color: '#fff'});     
    });
    
    $('div.karta_admina').on('mouseout',function(){
        $(this).css({color: '#000'});
        $(this).children().css({color: '#0aaeeb'}); 
    });    
    // reszta
    var i,j,max_pytan = 5, max_odp = 3, zliczPyt=0, czasy = [];
    var wiersz, kolumna, idharmo, idfirmy, testy, godziny;
    var linczek = siteUrl;
    var sprawdz = new Array;
    
    
    $('img#podmienFirme').on('mouseenter', function(){
       $(this).attr('src',linczek+'assets/img/karta_firmy_active.png'); 
    });
    
    $('img#podmienFirme').on('mouseout', function(){
        $(this).attr('src',linczek+'assets/img/karta_firmy.png');    
    });
    
    $('img#podmienUcznia').on('mouseenter', function(){
       $(this).attr('src',linczek+'assets/img/karta_ucznia_active.png'); 
    });
    
    $('img#podmienUcznia').on('mouseout', function(){
        $(this).attr('src',linczek+'assets/img/karta_ucznia.png');    
    });
    
    $('img#podmienMonitor').on('mouseenter', function(){
       $(this).attr('src',linczek+'assets/img/monitor_active.png'); 
    });
    
    $('img#podmienMonitor').on('mouseout', function(){
        $(this).attr('src',linczek+'assets/img/monitor.png');    
    });
    
    
$("div.rateYo_1, div.rateYo_2, div.rateYo_3, div.rateYo_4, div.rateYo_5, div.rateYo").rateYo({     
    ratedFill: "#0E4887",
    onSet: function (rating, rateYoInstance) {
        $(this).next().attr("value",rating);
        $(this).parent().next().closest('div').html(rating);
        $('input[name="zapiszOceneStazu"]').show('fast');
        $('input[name="zapiszOcenePracodawcy"]').show('fast');
        $('input[name="zapiszOceneUcznia"]').show('fast');
        
        //console.dir(rateYoInstance);
        //alert("Rating is set to: " + rating + " ins = "+rateYoInstance);
    }          
  });
    
    

    $.fn.datepicker.dates['pl'] = {
    days: ["Niedziela", "Poniedziałek", "Wtorek", "Środa", "Czwartek", "Sobota", "Niedziela"],
    daysShort: ["Nie", "Pon", "Wto", "Śro", "Czw", "Pią", "Sob"],
    daysMin: ["Ni", "Po", "Wt", "Śr", "Cz", "Pi", "So"],
    months: ["Styczeń", "Luty", "Marzec", "Kwiecień", "Maj", "Czerwiec", "Lipiec", "Sierpień", "Wrzesień", "Październik", "Listopad", "Grudzień"],
    monthsShort: ["Sty", "Lut", "Mar", "Kwi", "Maj", "Cze", "Lip", "Sie", "Wrz", "Paź", "Lis", "Gru"],
    today: "Today",
    clear: "Clear",
    format: "yyyy-mm-dd",
    titleFormat: "MM yyyy", /* Leverages same syntax as 'format' */
    weekStart: 0
};
    $('input#datePicker').datepicker({
        format: 'yyyy-mm-dd',
        language: "pl-PL"
    });
    
    // ================================================ reszta ustawień ==============================================
    
    $('img.podejrzyj_task').on('click',function(){
        var taskId = $(this).data("taskid");
        var tytul, tresc;
        var i,str = '', my_url= linczek+"/tasks/AjaxPobierzZadanie/"+taskId;
        //alert(my_url);
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                if(data['error'] == 1){
                    tytul = 'Błąd!'; 
                    tresc = 'Wystąpił błąd w ładowaniu danych!';
                }
                else{
                    //console.dir(data); 
                    str='<table class="table">';    
                    str+='<tr><td class="input_label">Nazwa zadania</td><td class="col-sm-8 bold">'+data['task_name']+'</td></tr>';
                    str+='<tr><td class="col-sm-4 input_label">Opis zadania</td><td class="col-sm-8 text-justify">'+data['description']+'</td></tr>';
                    str+='<tr><td class="col-sm-4 input_label">Start</td><td class="col-sm-8">'+data['date_start']+'</td></tr>';
                    str+='<tr><td class="col-sm-4 input_label">Czas trwania [h]</td><td class="col-sm-8">'+data['duration']+'</td></tr>';
                    str+='<tr><td class="col-sm-4 input_label">Koniec</td><td class="col-sm-8">'+data['date_stop']+'</td></tr>';
                    str+='</table>';
                }
                
                $('div.popup div.popup_tytul').html('Szczegóły zadania');
                $('div.popup div.popup_tresc').html(str);
                $('div.popup').show();  

            },
            error: function(data){
              console.log("Error!!!");
            }
        });
        
        
        
        
        
        var wpis = '<i class="fa fa-phone" aria-hidden="true"></i> <span class="contact contact-phone">730 - 718 - 718</span>'+
                    '<i class="fa fa-location-arrow" aria-hidden="true"></i> <span class="contact contact-email">ul.  Żurawia 71, 15-540 Białystok</span>';
      
    });

    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
    
   
    
    
    
    
    
    // stare ------------------------------
    
    $('select[name="nazwaZawodu"]').on('change',function(){
        idZawodu = $(this).val();
        var idUser = $(this).data("userid");
        //event.preventDefault();
        var i,str = '', my_url= linczek+"/Pracodawca/AjaxPobierzZadaniaHarmo/"+idUser+"/"+idZawodu;
        //alert(my_url);
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
              //console.dir(data);
                str = '<div class="row">'+
                        '<div class="col-md-1 text-uppercase granatowy">Zaznacz </div>'+
                        '<div class="col-md-4 text-uppercase granatowy">Nazwa zadania </div>'+ 
                        '<div class="col-md-2 text-uppercase granatowy">Stanowisko</div>'+ 
                        '<div class="col-md-2 text-uppercase granatowy">Podstawa programowa</div>'+ 
                        '<div class="col-md-2 text-uppercase granatowy text-center">Liczba godzin </div>'+ 
                      '</div> ';
                for(i=0;i<data.length;i++){
                str +='<div class="row">'+
                        '<div class="col-md-1"><input class="zaznacz_all wybierzInp_'+i+'" type="checkbox" name="zadanie_'+data[i]['idZadanie']+'" /></div>'+
                        '<div class="col-md-4">'+data[i]['nazwaZadanie']+'</div>'+
                        '<div class="col-md-2">'+data[i]['stanowisko']+' </div>'+ 
                        '<div class="col-md-2">'+data[i]['podstawa']+' </div>'+ 
                        '<div class="col-md-2"><input class="godzinyHarmo" type="text" name="czas_'+data[i]['idZadanie']+'" data-iter="'+i+'" /> </div>'+ 
                    '</div>';                
                }
                //console.log(str);
                $('div#wstawDoHarmonogramu').html(str);

            },
            error: function(data){
              console.dir();
            }
        });
    });
    
    
    
    
    
    //---------------------------------------------------------------------------------------------------------------------------
    
    $('select[name="nazwaZadaniaxxxx"]').on('change',function(){
        idZadania = $(this).val();
        event.preventDefault();
        var my_url= linczek+"/Pracodawca/AjaxPobierzPodzadania/"+idZadania;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                $('select[name="nazwaZadania"] option').remove();
                $('select[name="nazwaPodzadania"] option').remove();
                if (data.length>0){
                    $('select[name="nazwaZadania"]').append('<option value="" selected="selected">Wybierz zadanie</option>');
                    for (i=0;i<data.length;i++){
                        $('select[name="nazwaZadania"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                    }
                    $('select[name="nazwaPodzadania"] option').remove();
                    $('select[name="nazwaPodzadania"]').append('<option value="" selected="selected">Wybierz podzadanie</option>');
                }
                else{
                    $('select[name="nazwaZadania"]').append('<option value="">Brak zadań dla wybranego zawodu</option>');
                    $('select[name="nazwaPodzadania"]').append('<option value="">Brak podzadań dla wybranego zadania</option>');
                }
            }
        });
    });
    

    
    $('select[name="nazwaZadania"]').on('change',function(){
        idZadania = $(this).val();
        event.preventDefault();
        var my_url=linczek+"/Pracodawca/PobierzListePodzadan/"+idZadania;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                $('select[name="nazwaPodzadania"] option').remove();
                if (data.length>0){
                    $('select[name="nazwaPodzadania"]').append('<option value="" selected="selected">Wybierz podzadanie</option>');
                    for (i=0;i<data.length;i++){
                        $('select[name="nazwaPodzadania"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                    }
                }
                else{
                    $('select[name="nazwaPodzadania"]').append('<option value="">Brak podzadań dla wybranego zadania</option>');
                }
            }
        });
    });
    
    

    $('select[name="dziennikPobierzIdStazu"]').on('change',function(){
        idStazu = $(this).val();
        event.preventDefault();
        var my_url=linczek+"/Pracodawca/StworzDziennik_PobierzDate/"+idStazu+"/";
        //var moje = window.location.host;
        //alert(my_url);
        
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //console.log(data);
                $('input[name="dataStartu"]').val(data[0]['data_startu']);
            },
            error: function(){
                //console.log("-->"+data+"<<<");
            }
            
        }); 
    }); 
    
    //===============================================================================================================
    
    $('select[name="przygotujStaze"]').on('change',function(){
        var k, sprawdzSelect = '', liczSelect = 0, sprawdzInput = '', liczInput=0, validInput=0, validSelect=0, dropdownOpcje = '', brakFirmy = 0, suma = 0, bledyTr = new Array;
        var idStanowisko = $(this).val();
        if(idStanowisko == 0){
            $('div#przygotujZadania').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
            
        
        var my_url=linczek+"/Student_Staz/PobierzListeZadan/"+idStanowisko+"/";
        //var moje = window.location.host;
        //alert(idZadania);
        sessionStorage.clear();
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                console.dir(data);
                var licz_f = data['firmy'].length;
                var licz_z = data['zadania'].length;
                for(k=0;k<licz_f;k++){
                    dropdownOpcje += '<option value="'+data['firmy'][k]['id']+'">'+data['firmy'][k]['value']+'</option>';    
                }
                
                //sessionStorage.setItem("max_zadan", licz_z);
                //sessionStorage.setItem("user_id", data['user_id']);
                //sessionStorage.setItem("username", data['username']); // czy na pewno
                //sessionStorage.setItem("username_test", data['username_test']); // czy na pewno
                
                var str = '<table class="table table-striped">';
                    str += '<tr><th colspan="2">Stanowisko: '+data['nazwaZawodu']+'</th><th class="text-center" colspan="2"></th></tr>';
                    str += '<tr><th>Zadanie Zawodowe</th><th class="text-center">Czas wykonania</th>';
                    str += '<th class="text-center">Firma</th><th class="text-center">Liczba godzin</th>';

                str += '</tr>';
                
                
                for(i=0;i<licz_z; i++){
                    str += '<tr class="linia_'+i+'"><input type="hidden" name="zadania_'+i+'" value="'+data['zadania'][i]['id']+'">';
                    str += '<td class="col-md-6">'+data['zadania'][i]['nazwa']+'</td>';
                    str += '<td class="text-center col-md-1 godzinyZeroWiersz_'+i+'">'+data['zadania'][i]['max_czas']+'</td>';
                    //sessionStorage.setItem("GodzinyWiersz_"+i, data['zadania'][i]['godziny']);
                    //sessionStorage.setItem("GodzinyWiersz_"+i, data['zadania'][i]['testy']);

                    str += '<td class="text-center col-md-4" data-wiersz="'+i+'"><input type="hidden" name="godzinyh_'+i+'" value="'+data['zadania'][i]['max_czas']+'">';
                    str += '<select data-wiersz="'+i+'" data-godziny="'+data['zadania'][i]['max_czas']+'" class="form-control inpNiebieski" name="firma_'+i+'">'+dropdownOpcje+'</select></td>';
                    str += '<td class="text-center col-md-1"><input disabled="disabled" class="inpNiebieski form-control" type="text" name="godziny_'+i+'" data-wiersz="'+i+'" data-maxgodz="'+data['zadania'][i]['max_czas']+'" value="" /></td>';
                    str += '</tr>';    
                   
                }
                str += '<tr><td colspan="2">';
                str+= '<input type="hidden" name="max_zadan" value="'+licz_z+'"></td><td class="text-right">Czas stażu</td><td class="lacznieGodzin">0</td></tr>';
                str += '<tr><td colspan="4" class="uwagiStaz"></td></tr>';
                 str += '<tr><td colspan="4"><input class="submitNiebieski" type="submit" name="tworzProgramStazu" value="Twórz program stażu" /></td></tr>';
                str += '</table>';
                
                $('div#przygotujZadania').html(str);
 
                
                $('select[name^="firma_"]').on('change',function(){
                    var firmax = $(this).val();
                    var wiersz_select = $(this).data("wiersz");
                    var godzx = $(this).data("godziny");
                    suma=0;
                    sessionStorage.setItem("firma_"+wiersz_select, firmax);
                    sessionStorage.setItem("czas_"+wiersz, godzx); 
                    
                    if(firmax == 0){
                        $(this).css('border','1px solid red');
                        $('input[name="godziny_'+wiersz_select+'"]').val(0);    
                    }
                    else{
                        $(this).css('border','1px solid green');
                        $('input[name="godziny_'+wiersz_select+'"]').val(godzx);     
                    }
                    
                    for(k=0;k<licz_z;k++){
                        cos = $('input[name="godziny_'+k+'"]').val();
                        if(isNumeric(cos) ){
                            suma += Number(cos);    
                        }  
                    }
                    
                    if(suma> 40){
                        alert("Nie możesz dodać więcej godzin! ("+suma+")");
                        $('input[name="godziny_'+wiersz_select+'"]').val(0);  
                        $('input[name="godzinyh_'+wiersz_select+'"]').val(0); 
                        suma = 40;
                    }
                    $("td.lacznieGodzin").html(suma);
                       
                });
                
                $('input[name^="godziny_"]').on('keyup', function(){
                    var liczba = $(this).val();
                    var cos = ''; 
                    var maxgodz = $(this).data("maxgodz");
                    var wiersz = $(this).data("wiersz");
                    var sel = $('select[name="firma_'+wiersz+'"]').val();
                    
                    suma=0;
                    
                    sessionStorage.setItem("firma_"+wiersz, sel);
                    sessionStorage.setItem("czas_"+wiersz, liczba);                    
                    
                    if(liczba > maxgodz){
                        alert("Musisz podać maksymalnie "+maxgodz+" godzin!");
                        $(this).val(maxgodz);
                    }
                    
                    if(!isNumeric(liczba) ){
                        alert("Musisz podać liczbę!");
                        $(this).val(0);
                    }
                    //console.log(liczba);

                    if(suma> 40){
                        alert("Nie możesz dodać więcej godzin! "+suma);
                        $(this).val(0);
                        suma = 40;
                    }
                    
                $("td.lacznieGodzin").html(suma);

                });
                
                
                $('input[name="tworzProgramStazu"]').on('click',function(ev){
                    //alert('klik');
                    valid = 0;
                    brakFirmy = 0;
                    
                    var kwalf = $('select[name="dropdownKwalifikacje"]').val();
                    //alert(suma);
                    for(k=0;k<licz_z;k++){
                        sprawdzSelect = sessionStorage.getItem("firma_"+k);
                        if( sprawdzSelect != null && sprawdzSelect == 0 ){
                            brakFirmy = 1;
                            bledyTr[k] = 1;
                        }
                        else{
                            bledyTr[k] = 0;
                        }
                        //console.log( k+" "+sessionStorage.getItem("firma_"+k) );
                        //if( sessionStorage.getItem("firma_"+k) != 'undefined' ){
                        //    console.log( sessionStorage.getItem("firma_"+k) );
                        //}
                        

                        
                    }

                    
                    if(suma > 0 && suma <= 40 && brakFirmy == 0  && kwalf>0 ){
                        //if( validSelect == licz_z)
                        //$("td.uwagiStaz").html('ok');
                        return true;
                    }
                    else{
                        if(kwalf == 0){
                            $('select[name="dropdownKwalifikacje"]').css("border","1px solid red");
                            $("td.uwagiStaz").html('<div class="alert alert-danger">Uzupełnij wszystkie wymagane pola!</div>');
                        }
                        else{
                            $('select[name="dropdownKwalifikacje"]').css("border","1px solid green");
                            //alert('err '+valid+' '+licz_z);
                            $("td.uwagiStaz").html('<div class="alert alert-danger">Uzupełnij wszystkie wymagane pola!</div>');

                            for(k=0;k<licz_z;k++){
                                if(bledyTr[k] == 1){
                                    $("tr.linia_"+k).css("color","red").find("select").css("border","1px solid red");      
                                }
                                else{
                                    $("tr.linia_"+k).css("color","green").find("select").css("border","1px solid green");   
                                }

                            }                           
                        }


                        

                        
                        return false;   
                    }
                    
                    
                });
            },
            error: function(){
                console.dir(data);
            }
            
        }); 
        } // koniec else
    }); 
    

    
           //===============================================================================================================
    
    
    $('select[name="dropdownKierunkiStudent"]').on('change',function(){
        var idKierunki = $(this).val();
        var i, licz = 0;
        var idPracodawcy = $(this).data("idusera");
        if(idKierunki == 0){
            $('div#przygotujKierunkiStudent').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
            

        var str = '<table class="listing_popup"><tr>'+
            '<th>Firma</th>'+
            '<th>Nazwa Stażu</th>'+
            '<th>Opis stażu</th>'+
            '<th>Operacje</th></tr>';
        var my_url=linczek+"/Student_Staz/AjaxPobierzFirmyStaz/"+idKierunki;

        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //console.log("ok kwal");    
                console.dir(data); 
                //$('select[name="dropdownZawodyStanowiskoStazowe"] option').remove();
                if (data['error'] != 'fail'){
                        //alert(data.length);
                        for (i=0;i<data.length;i++){
                            str += '<tr>'+
                                '<td class="label widthLabel">'+data[i]['company']+'</td>'+
                                '<td class="label widthLabel">'+data[i]['project_name']+'</td>'+
                                '<td class="dane widthDane text-justify">'+data[i]['project_descr']+'</td>'+
                                '<td><div data-maxmiejsc="'+data[i]['number_of_students']+'" data-idproj="'+data[i]['project_id']+'" data-qual="'+data[i]['qualifications']+'" class="submitZielony szczegoly_projektu text-center">Więcej...</div>'+
                                '</td>'+
                            '</tr>';
                            //$('select[name="dropdownZawodyStanowiskoStazowe"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                        }
                        str += '</table>';
                        $('div#przygotujKierunkiStudent').html('<div>'+str+'</div>');

                        $('div.szczegoly_projektu').on('click',function(){

                            var idProjekt = $(this).data("idproj");
                            var maxMiejsc = $(this).data("maxmiejsc");
                            var qualifications = $(this).data("qual");
                            
                            var str2 = '<table class="listing_popup"><tr>'+
                                '<th>L.p.</th>'+
                                '<th>Nazwa zadania</th>'+
                                '<th>Opis zadania</th>'+
                                '<th class="text-center">Czas trawania [h]</th></tr>';
                            var my_url2 = linczek+"/Student_Staz/AjaxPobierzZadaniaProjektu/"+idProjekt;
                            var licz = 0;
                            //////////////////////////////////////////////////////////////////////////////////////////////////////////////
                                    $.ajax({
                                        type: "POST",
                                        url: my_url2,
                                        data: {},
                                        dataType: "json",
                                        cache: false,
                                        success: function(data2){
                                            //console.dir(data2);
                                            if (data2['error'] != 'fail'){
                                                    //alert(data.length);
                                                    for (i=0;i<data2.length;i++){
                                                        licz = i +1;
                                                        str2 += '<tr><td class="label text-center">'+licz+'</td><td class="label widthLabel">'+data2[i]['task_name']+'</td><td class="dane widthDane text-justify">'+data2[i]['task_descr']+'</td>'+
                                                            '<td class="label text-center">'+data2[i]['task_dur']+'</td></tr>';
                                                        //$('select[name="dropdownZawodyStanowiskoStazowe"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                                                    }
                                                    str2 += '</table>';
                                                
                                                    str2 += '<div class="card"><div class="card-body"><h4 class="card-title">WYMAGANE KWALIFIKACJE</h4><p class="card-text text-justify">'+qualifications+'</p></div></div>'+
                                                        '<div class="row margtop20">'+
                                                        '<a href="'+linczek+'/Student_Staz/ZapiszNaStaz/'+idProjekt+'/'+maxMiejsc+'">'+
                                                            '<div class="col-md-12 submitZielony">Zgłoś się na staż</div></div>'
                                                        '</a>';
                                                    //$('div#przygotujKierunkiStudent').html('<div>'+st2r+'</div>');
                                                

                                            }
                                            else{
                                                str2 = '<h5 class="red">Brak zadań przypisanych do tego projektu...</h5>';
                                            }
                                            
                                            $('div.popup div.popup_tytul').html('Szczegóły stażu');
                                            $('div.popup div.popup_tresc').html(str2);
                                            $('div.popup').show();

                                        },
                                        error: function(data){
                                          console.log('Blad! '+data);
                                        }

                                    });
                            //////////////////////////////////////////////////////////////////////////////////////////////////////////////
                            
                            

                            
                        });                       


                    
                    
                }
                else{
                    $('div#przygotujKierunkiStudent').html('<div class="alert alert-warning" role="alert">Brak projektów dla tego kierunku kształcenia!</div>'); 
                }
                

                
                
                
                
                
            },
            error: function(data){
              console.log('Blad! '+data);
            }
            
        });           
            


        } // koniec else
    }); 
    
 
    //=====================================================================================================================
    
        $('img.szczegoly_zadania').on('click',function(){

            var idZadanie = $(this).data("idzad");

                            
            var str2 = '<table class="listing_popup">';
            var my_url2 = linczek+"/Student_Staz/AjaxPobierzSzczegolyZadania/"+idZadanie;
            var licz = 0;
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////
                $.ajax({
                    type: "POST",
                    url: my_url2,
                    data: {},
                    dataType: "json",
                    cache: false,
                        success: function(data2){
                            console.dir(data2);
                            if (data2['error'] != 'fail'){
                                i= 0;
                            //alert(data.length);

                            str2 += '<tr><td class="label widthLabel text-left">Projekt</td><td class="dane widthDane text-justify">'+data2[i]['project_name']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Przedsiębiorstwo</td><td class="dane widthLabel text-justify">'+data2[i]['company']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Nazwa zadania</td><td class="dane widthLabel text-justify">'+data2[i]['task_name']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Opis zadania</td><td class="dane widthLabel text-justify">'+data2[i]['description']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Data rozpoczęcia zadania</td><td class="dane widthLabel text-justify">'+data2[i]['date_start']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Data zakończenia zadania</td><td class="dane widthLabel text-justify">'+data2[i]['date_stop']+'</td></tr>'+
                                '<tr><td class="label widthLabel text-left">Czas trwania [h]</td><td class="dane widthLabel text-justify">'+data2[i]['duration']+'</td></tr>';
                            str2 += '</table>';

                            }
                            else{
                                str2 = '<h5 class="red">Brak szczegółów zadania...</h5>';
                            }

                            $('div.popup div.popup_tytul').html('Szczegóły zadania');
                            $('div.popup div.popup_tresc').html(str2);
                            $('div.popup').show();

                        },
                        error: function(data){
                            console.log('Blad! '+data);
                        }

                });               
         }); 
    
    
    
    
       //===============================================================================================================
 
    
        $('img.szczegoly_stazu').on('click',function(){

            var idstaz = $(this).data("idstaz");

                            
            var str2 = '<table class="listing_popup">'+
                        '<tr>'+
                            '<th class="text-center">Nazwa zadania</th>'+
                            '<th class="text-center">Opis zadania</th>'+
                            '<th class="text-center">Czas trwania [h]</th>'+
                        '</tr>';
            var my_url2 = linczek+"/Student_Staz/AjaxPobierzSzczegolyStazu/"+idstaz;
            var licz = 0;
            //////////////////////////////////////////////////////////////////////////////////////////////////////////////
                $.ajax({
                    type: "POST",
                    url: my_url2,
                    data: {},
                    dataType: "json",
                    cache: false,
                        success: function(data2){
                            console.dir(data2);
                            if (data2['error'] != 'fail'){
                                i= 0;
                            //alert(data.length);
                            for(i=0; i<data2.length; i++){
                              str2 += '<tr>'+
                                        '<td class="dane widthLabel text-justify">'+data2[i]['task_name']+'</td>'+
                                        '<td class="dane widthDane text-justify">'+data2[i]['description']+'</td>'+
                                        '<td class="dane text-center">'+data2[i]['duration']+'</td>'+
                                      '</tr>';
                            }    
                                
                            str2 += '</table>';

                            }
                            else{
                                str2 = '<h5 class="red">Brak szczegółów stażu...</h5>';
                            }

                            $('div.popup div.popup_tytul').html('Szczegóły stażu');
                            $('div.popup div.popup_tresc').html(str2);
                            $('div.popup').show();

                        },
                        error: function(data){
                            console.log('Blad! '+data);
                        }

                });               
         }); 
    
    
    
    
       //=============================================================================================================== 
 
    
    
    $('select[name="dropdownKwalifikacjeStanowiskoStazowe"]').on('change',function(){
        var idKwalifikacje = $(this).val();
        var i, licz = 0;
        var idPracodawcy = $(this).data("idusera");
        if(idKwalifikacje == 0){
            $('div#przygotujZawodyStanowiskoStazowe').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
            

        var my_url=linczek+"/Pracodawca_Stanowisko/AjaxPobierzZawody/"+idKwalifikacje;

        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                console.log("ok kwal");    
              console.dir(data); 
                $('select[name="dropdownZawodyStanowiskoStazowe"] option').remove();
                if (data.length>0){
                    $('select[name="dropdownZawodyStanowiskoStazowe"]').append('<option value="" selected="selected">Wybierz zadanie</option>');
                    for (i=0;i<data.length;i++){
                        $('select[name="dropdownZawodyStanowiskoStazowe"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                    }
                }
                else{
                    $('select[name="dropdownZawodyStanowiskoStazowe"]').append('<option value="">Brak zawodów dla wybranego kierunku</option>');
                }
                
                // ------------------- dla zmienionego selecta --------------------------------------
                $('select[name="dropdownZawodyStanowiskoStazowe"]').on('change',function(){
                    
                var idZawody = $(this).val();
                    //alert(idZawody);
                var my_url2=linczek+"/Pracodawca_Stanowisko/pobierzListeZadanZawodowych/"+idZawody;

                $.ajax({
                    type: "POST",
                    url: my_url2,
                    data: {},
                    dataType: "json",
                    cache: false,
                    success: function(data2){
                    console.log("OK zawody");    
                        console.dir(data2);
                        if(data2['error'] == 1){
                           $('div#przygotujZadaniaStanowiskoStazowe').html('<div class="alert alert-danger" role="alert">Brak zadań zawodowych dla tego zawodu.</div>'); 
                        }
                        else{


                        licz = data2['dane'].length;
                        //alert(licz);
                        var str = '<table class="table table-striped">';
                            str += '<tr><th class="col-md-6">Zadanie zawodowe</th><th class="col-md-3">Czas</th>';
                            str += '</tr>';


                        for(i=0;i<licz; i++){
                            str += '<tr>';
                            str += '<td>'+data2['dane'][i]['nazwa']+'</td>';
                            str += '<td><input type="text" name="godziny_'+data2['dane'][i]['id']+'" class="inpNiebieski" /></td>';
                            str += '</tr>';    
                        }



                        str += '</table>';

                        $('div#przygotujZadaniaStanowiskoStazowe').html(str);
                        }
                    },
                    error: function(data2){
                        console.log("Blad zawody");
                        console.dir(data2);
                    }

                }); 
                    
                    
                    
                });
                
                
                
                
                
            },
            error: function(data){
              console.log('Blad! '+data);
            }
            
        });           
            


        } // koniec else
    }); 
    
    
    
   //===============================================================================================================
    
    
    $('select[name="idStazPrzedStazem"]').on('change',function(){
        idStazu = $(this).val();
        var i, licz = 0;
        var idPracodawcy = $(this).data("idusera");
        if(idStazu == 0){
            $('div#przygotujZadaniaStaze').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
        var my_url=linczek+"/Pracodawca_Elearning/pobierzLekcjeElearningPrzedStazem/"+idStazu+"/"+idPracodawcy;

        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                console.dir(data);
                if(data['error'] == 1){
                   $('div#przygotujZadaniaStaze').html('<div class="alert alert-danger" role="alert">Brak lekcji dla tego stażu.</div>'); 
                }
                else{
                    
                
                licz = data.length;
                //alert(licz);
                var str = '<table class="table table-striped">';
                    str += '<tr><th class="col-md-3">Tytuł lekcji</th><th class="col-md-6">Opis lekcji</th><th colspan="2" class="col-md-3 text-center">Operacje</th>';
                    str += '</tr>';
                
                
                for(i=0;i<licz; i++){
                    str += '<tr>';
                    str += '<td>'+data[i]['tytul']+'</td>';
                    str += '<td>'+data[i]['tresc']+'</td>';
                    str += '<td><a href="'+linczek+'Pracodawca_Elearning/ElearningPrzedStazem_Edytuj/'+data[i]['id']+'"><div class="btn btn-default">Edytuj</div></a></td>';
                    str += '<td><a href="'+linczek+'Pracodawca_Elearning/ElearningPrzedStazem_Usun/'+data[i]['id']+'"><div class="btn btn-default">Usuń</div></a></td>';
                    str += '</tr>';    
                }
                
                
                
                str += '</table>';
                
                $('div#przygotujZadaniaStaze').html(str);
                }
            },
            error: function(){
                console.dir(data);
            }
            
        }); 
        } // koniec else
    }); 
    
   //===============================================================================================================   
  
    $('select[name="idStazPrzedEgzaminem"]').on('change',function(){
        idStazu = $(this).val();
        var i, licz = 0;
        var idPracodawcy = $(this).data("idusera");
        if(idStazu == 0){
            $('div#przygotujZadaniaStaze').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
        var my_url=linczek+"/Pracodawca_Elearning/pobierzLekcjeElearningPrzedEgzaminem/"+idStazu+"/"+idPracodawcy;

        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                console.dir(data);
                if(data['error'] == 1){
                   $('div#przygotujZadaniaStaze').html('<div class="alert alert-danger" role="alert">Brak lekcji dla tego stażu.</div>'); 
                }
                else{
                    
                
                licz = data.length;
                //alert(licz);
                var str = '<table class="table table-striped">';
                    str += '<tr><th class="col-md-3">Tytuł lekcji</th><th class="col-md-6">Opis lekcji</th><th colspan="2" class="col-md-3 text-center">Operacje</th>';
                    str += '</tr>';
                
                
                for(i=0;i<licz; i++){
                    str += '<tr>';
                    str += '<td>'+data[i]['tytul']+'</td>';
                    str += '<td>'+data[i]['tresc']+'</td>';
                    str += '<td><a href="'+linczek+'Pracodawca_Elearning/ElearningPrzedEgzaminem_Edytuj/'+data[i]['id']+'"><div class="btn btn-default">Edytuj</div></a></td>';
                    str += '<td><a href="'+linczek+'Pracodawca_Elearning/ElearningPrzedEgzaminem_Usun/'+data[i]['id']+'"><div class="btn btn-default">Usuń</div></a></td>';
                    str += '</tr>';    
                }
                
                
                
                str += '</table>';
                
                $('div#przygotujZadaniaStaze').html(str);
                }
            },
            error: function(){
                console.dir(data);
            }
            
        }); 
        } // koniec else
    }); 
    
   //===============================================================================================================       
    
      $('select[name="przygotujOcenePracodawcy"]').on('change',function(){
         
        var text, idMentor = $(this).val();
        var idUser = $('input[name="user_id"]').val();
        var my_url=linczek+"/Student/SprawdzOcenyPracodawcy/"+idMentor;  
          //alert(my_url);
          if(idMentor != 0){
           $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            //dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                if(data == 'fail'){
                    text = 'Ten pracodawca został już przez Ciebie oceniony!';
                    $('div#przygotujOcenePracodawcy').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
                    $('div.pokazOcene').hide();        
                }
                else{
                    text = 'Ten pracodawca jeszcze nie był przez Ciebie oceniany...';
                    //$('div#przygotujOceneStazu').html('<div class="alert alert-info" role="alert">'+text+'</div>');
                    $('div#przygotujOcenePracodawcy').html('');                    
                    $('div.pokazOcene').show(); 
                }
                

            
                
            },
            error: function(){
                console.log("-->"+data+"<<<");
            }
            
        });            
              
            //$('div.pokazOcene').show('medium');
        }
        else{
            $('div.pokazOcene').hide('medium');
        }        

    }); 
    
// -----------------------------------------------------------------------------------------------
    
    function pobierzPodzadania(id_podzadania){
          var text;
        var i, licz, str;
        var my_url=linczek+"Student_Staz/SprawdzStazePodzadania/"+id_podzadania;        
        
            $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                licz = data.length;
                
                if(data['error'] == 'fail'){
                    //return data;
     
                }
                else{
                    //console.dir(data);
                    str = '<ul class="podzadania">';
                    for(i=0; i< licz;i++){
                        str += '<li><i class="granatowy fa fa-arrow-circle-right"></i> &nbsp; '+data[i]['nazwa']+'</li>';
                    }
                    str += '</ul>';
                    $("div#pokazPodzadania div#podzadaniaTresc").html(str);
                    $('div#pokazPodzadania').show();
                }
                

            
                
            },
            error: function(){
                return -1;
            }
            
        });       
    }
    
//-------------------------------------------------------------------------------------------
    
$('div.pokaz_propozycje_stazu').on('click', function(){
          var text, id_propozycji = $(this).data("idprop");
        var i, licz, str;
        var my_url=linczek+"Student_Staz/SprawdzPropozycjeSzczegoly/"+id_propozycji;        
        
            $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                licz = data.length;
                
                if(data['error'] == 'fail'){
                    //return data;
     
                }
                else{
                    //console.dir(data);
                    str = '<ul class="podzadania">';
                    for(i=0; i< licz;i++){
                        str += '<li><i class="granatowy fa fa-arrow-circle-right"></i> &nbsp; '+data[i]['nazwa']+'</li>';
                    }
                    str += '</ul>';
                    $("div#pokazPodzadania div#podzadaniaTresc").html(str);
                    $('div#pokazPodzadania').show();
                }
                

            
                
            },
            error: function(){
                return -1;
            }
            
        });     
});
    
    //pokaz_propozycje_stazu

 
 //=============================================================================================   
   $("div.szczegolyKontraktacji").on('click', function(){
        var text;
        var i, licz, str;
       var id_kontr = $(this).data('idkontr');
        var my_url=linczek+"Pracodawca/KontraktacjeSzczegoly/"+id_kontr;        
        
            $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                licz = data.length;
                
                if(data['error'] == 'fail'){
                    //return data;
     
                }
                else{
                    //console.dir(data);
                    str = '<ul class="podzadania">';
                    for(i=0; i< licz;i++){
                        str += '<li><i class="granatowy fa fa-arrow-circle-right"></i> &nbsp; '+data[i]['nazwa']+' ('+data[i]['godziny']+' godzin)</li>';
                    }
                    str += '</ul>';
                    $("div#pokazPodzadania div#podzadaniaTresc").html(str);
                    $('div#pokazPodzadania').show();
                }
                

            
                
            },
            error: function(){
                return -1;
            }
            
        });        
   } ); 
    
    
   //===============================================================================================================       
    
          $('select[name="przygotujPracodawcow"]').on('change',function(){
         var idStudent = $(this).data("Student_id");
        var text, idMentor = $(this).val();
        var i, licz, iter = 0, str;
        var my_url=linczek+"Student_Staz/SprawdzStazePracodawcy/"+idMentor+'/'+idStudent+'/';  
        var poprzedni = '';
          //alert(my_url);
          if(idMentor != 0){
           $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);

                if(data['error'] == 'fail'){
                    text = 'Brak dostępnych staży dla tego pracodawcy!';
                    $('div#przygotujStazeZadania').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
     
                }
                else{
                    $('div#przygotujStazeZadania div').hide();
                    
                licz = data.length;
                console.log(data);    
                str = '<table class="table table-striped">';
                    

                 
                    
                for(i=0;i<licz; i++){
                    iter++;
                    if(poprzedni != data[i]['nazwaStaz'] ){
                        if(poprzedni == ''){
                           str += '<tr><td colspan="5"><h1 class="granatowy text-center">Wybrane staże<h1></td></tr>'; 

                        }
                        else{
                          str += '<tr><td colspan="5" class="text-right"><input class="form-control" type="submit" name="tworzStaz_'+data[i-1]['idStazu']+'" value="Twórz staż" /></td></tr>';  
                        }
                    str += '<tr><td colspan="5"><h2 class="granatowy text-center">'+data[i]['nazwaStaz']+'<h2></td></tr>';
                    str += '<tr><th class="text-center">L.p.</th><th>Nazwa zawodu</th><th>Nazwa zadania</th><th class="text-center">Liczba godzin</th><th class="text-center">Opcje</th></tr>'; 
                    iter = 1;
                    }
                    str += '<tr>';
                    str += '<td class="text-center">'+iter+'</td>';
                    str += '<td >'+data[i]['nazwaZawodu']+'</td>';
                    str += '<td>'+data[i]['nazwaZadanie']+'</td>';
                    str += '<td class="text-center">'+data[i]['godziny']+'</td>';
                    str += '<td class="text-center"><div class="btn btn-default wiecej_zadania" data-idzadania="'+data[i]['idZadania']+'">Więcej</div></td>';
                    str += '</tr>'; 
                    poprzedni = data[i]['nazwaStaz'];
                }
                
                //console.log(data);
                str += '<tr><td colspan="5" class="text-right"><input class="form-control" type="submit" name="tworzStaz_'+data[licz-1]['idStazu']+'" value="Twórz staż" /></td></tr>'; 
                str += '</table>';
                    
                    //$('div#przygotujOceneStazu').html('<div class="alert alert-info" role="alert">'+text+'</div>');
                    $('div#przygotujStazeZadania').append(str);                    
                   
                    $("div.wiecej_zadania").on('click',function(){
                        var danex, idZadania = $(this).data('idzadania');
                        pobierzPodzadania(idZadania);
                        //console.log(danex);   
                    } );
                    
                    
                }
                

            
                
            },
            error: function(){
                //console.log("-->"+data+"<<<");
            }
            
        });            
              
            //$('div.pokazOcene').show('medium');
        }
        else{
            text = 'Wybierz jednego z pracodawców!';
                    $('div#przygotujStazeZadania').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
        }        

    }); 
    

    //================================================================================================================
    $("div.wiecej_zadania").on('click',function(){
        var danex, idZadania = $(this).data('idzadania');
        pobierzPodzadania(idZadania);
        //console.log(danex);   
    } );
    
    
    
   //===============================================================================================================      
    
  
    $('select[name="przygotujOceneUcznia"]').on('change',function(){
        //alert('co'); 
        var text, idStudent = $(this).val();
        var idUser = $('input[name="user_id"]').val();
        var my_url=linczek+"/Pracodawca/SprawdzOcenyUcznia/"+idStudent;  
          //alert(my_url);
          if(idStudent != 0){
           $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            //dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                if(data == 'fail'){
                    text = 'Ten uczeń został już przez Ciebie oceniony!';
                    $('div#przygotujOceneUcznia').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
                    $('div.pokazOcene').hide();        
                }
                else{
                    text = 'Ten uczeń jeszcze nie był przez Ciebie oceniany...';
                    //$('div#przygotujOceneStazu').html('<div class="alert alert-info" role="alert">'+text+'</div>');
                    $('div#przygotujOceneUcznia').html('');                    
                    $('div.pokazOcene').show(); 
                }
                

            
                
            },
            error: function(){
                console.log("-->"+data+"<<<");
            }
            
        });            
              
            //$('div.pokazOcene').show('medium');
        }
        else{
            $('div.pokazOcene').hide('medium');
        }        

    }); 
    
    
   //==================================================================================================================
    
    
      $('select[name="przygotujZadaniaEgzamin"]').on('change',function(){
        //alert('co'); 
        var text, idZadanie = $(this).val();
        var j, maxj = 3;
        //var idUser = $('input[name="user_id"]').val();
        var my_url=linczek+"Student_Staz/PobierzEgzaminDlaZadania/"+idZadanie+"/";  
          //alert(my_url);
        if(idZadanie != 0){
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                //console.dir(data);
                if(data['error'] == 'fail'){
                   $('div#przygotujZadaniaEgzamin').html('<div class="alert alert-danger">To zadanie zawodowe jeszcze nie posiada egzaminu...</div> '); 
                }
                else{
                    
                
                //console.dir(data);
                var licz = data.length;
                //sessionStorage.setItem("max_zadan", licz_z);
                //sessionStorage.setItem("user_id", data['user_id']);
                //sessionStorage.setItem("username", data['username']); // czy na pewno
                //sessionStorage.setItem("username_test", data['username_test']); // czy na pewno
                
                var str = '<div class="row"><div class="col-md-12 pad20"><h1 class="granatowy">'+data[0]['nazwa']+'</h1></div><class="col-md-12 pad20">'+data[0]['opis']+'</div></div><div class="row">'+
                    '<table class="table margtop20"><input type="hidden" name="idEgzaminu" value="'+data[0]['idEgzaminu']+'" />';
                    str += '<tr><th class="col-md-1 text-center">Pytanie</th><th class="col-md-8"></th><th class="col-md-3 text-center">Odpowiedzi</th></tr>';

                for(i=0;i<licz; i++){
                    str += '<tr>';    
                    str += '<td colspan="2">'+data[i]['pytanie']+'</td></tr>';

                    
                    for(j=1;j<=maxj;j++){
                       str += '<tr><td></td><td class="odpStylek"><i class="fa fa-arrow-circle-right" aria-hidden="true"></i> '+data[i]['odpowiedzi_array'][j]+'</td> <td class="text-center odpStylek">'+
                           '<input type="radio" name="odp_'+data[i]['idPytania']+'" value="'+j+'"></td></tr>'; 
                    }
                    str += '<tr><td colspan="2">&nbsp; </td></tr>';

                }
                //str += '</tr>';
                

                str += '</table></div> <div class="row text-center"><input class="btn btn-default" type="submit" name="zapiszEgzaminStudent" value="Zapisz wyniki" ></div>';
                
                //console.log(str);
                $('div#przygotujZadaniaEgzamin').html(str);
                }
            }
            ,
            error: function(data){
                $('div#przygotujZadaniaEgzamin').html('Blad '+data);
            }
            
        });          
 
        }
        else{
            $('div#przygotujZadaniaEgzamin').html('<div class="alert alert-danger">Musisz wybrać zadanie zawodowe</div>');
        }        

    });  
    
    
      //===============================================================================================================      
    
  
    $('select[name="przygotujOpinieUcznia"]').on('change',function(){
        //alert('co'); 
        var text, idStudent = $(this).val();
        var idUser = $('input[name="user_id"]').val();
        var my_url=linczek+"/Pracodawca/SprawdzOpinieUcznia/"+idStudent;  
          //alert(my_url);
          if(idStudent != 0){
           $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            //dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                if(data == 'fail'){
                    text = 'Ten uczeń został już przez Ciebie oceniony!';
                    $('div#przygotujOpinieUcznia').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
                    $('div.pokazOcene').hide();        
                }
                else{
                    text = 'Ten uczeń jeszcze nie był przez Ciebie oceniany...';
                    //$('div#przygotujOceneStazu').html('<div class="alert alert-info" role="alert">'+text+'</div>');
                    $('div#przygotujOpinieUcznia').html('');                    
                    $('div.pokazOcene').show(); 
                }
                
                
                

            
                
            },
            error: function(){
                console.log("-->"+data+"<<<");
            }
            
        });            
              
            //$('div.pokazOcene').show('medium');
        }
        else{
            $('div.pokazOcene').hide('medium');
        }        

    });  
    
    
    
    
    
   //===============================================================================================================    
    
    
      $('select[name="przygotujOceneStazu"]').on('change',function(){
         
        var text, idStaz = $(this).val();
        var idUser = $('input[name="user_id"]').val();
        var my_url=linczek+"/Student/SprawdzUseraStaze/"+idStaz+"/"+idUser;  
          //alert(my_url);
          if(idStaz != 0){
           $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            //dataType: "json",
            cache: false,
            success: function(data){
                //alert(data);
                if(data == 'fail'){
                    text = 'Ten staż został już przez Ciebie oceniony!';
                    $('div#przygotujOceneStazu').html('<div class="alert alert-danger" role="alert">'+text+'</div>');
                    $('div.pokazOcene').hide();        
                }
                else{
                    text = 'Ten staż jeszcze nie był przez Ciebie oceniany...';
                    //$('div#przygotujOceneStazu').html('<div class="alert alert-info" role="alert">'+text+'</div>');
                    //$('div.pokazOcene').show();                      
                }
                

            
                
            },
            error: function(){
                console.log("-->"+data+"<<<");
            }
            
        });            
              
            //$('div.pokazOcene').show('medium');
        }
        else{
            $('div.pokazOcene').hide('medium');
        }        

        //=-----------------------------------------------------------------------------------------------------------
          
        if(idStaz == 0){
            $('div.pokazElementy').html('<div class="alert alert-danger" role="alert">Brak wyboru stanowiska!</div>');
        }
        else{
            
        
        var my_url=linczek+"/Student/PobierzListeZadan/"+idStaz+"/";
        //var moje = window.location.host;
        //alert(my_url);
        sessionStorage.clear();
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                console.dir(data);
                var licz = data.length;
                //sessionStorage.setItem("max_zadan", licz_z);
                //sessionStorage.setItem("user_id", data['user_id']);
                //sessionStorage.setItem("username", data['username']); // czy na pewno
                //sessionStorage.setItem("username_test", data['username_test']); // czy na pewno
                
                var str = '<table class="table table-striped margtop20">';
                    str += '<tr><th class="text-center">Zawód</th>'+
                        '<th class="text-center">Zadanie zawodowe</th><th class="text-center">Podzadanie zawodowe</th><th class="text-center">Liczba godzin [h]</th><th class="text-center">Wybierz</th></tr>';

                for(i=0;i<licz; i++){
                    str += '<tr>';    
                    str += '<td class="text-center">'+data[i]['nazwaZawody']+'</td>';
                    str += '<td class="text-center">'+data[i]['nazwaZadania']+'</td>';
                    str += '<td class="text-center">'+data[i]['nazwaPodzadania']+'</td>';
                    str += '<td class="text-center">'+data[i]['czas']+'</td>';
                    str += '<td class="text-center">';
                    if(data[i]['id'] == -1){
                      str += '<i class="fa fa-check" style="color: #3c763d;"></i>';                      
                    }
                    else{
                     str += '    <a href="'+linczek+'Student/WybierzElementOcena/'+idStaz+'/'+data[i]['id']+'/">Oceń</a>';                       
                    }
   
                    str += '</td>';

                }
                str += '</tr>';
                

                str += '</table>';
                
                $('div#przygotujOceneStazu').html(str);
            },
            error: function(){
                console.log("-->"+data+"<<<");
            }
            
        }); 
        } // koniec else
         
    }); 
   //===============================================================================================================  
    
    
    
      $(document).on('click','td.KliknijGodziny',function(){
        wiersz = $(this).data("wiersz");
        kolumna = $(this).data("kolumna");  
        idharmo = $(this).data("idharmo");
        idfirmy = $(this).data("idfirmy");
         testy = $(this).data("testy");  
        
        sessionStorage.setItem("idharmo_"+wiersz, idharmo);
        sessionStorage.setItem("idfirmy_"+wiersz, idfirmy);
        sessionStorage.setItem("testy_"+wiersz, testy);  
          
        $('tr.linia_'+wiersz+' td.KliknijGodziny').html('');
        $('tr.linia_'+wiersz+' td.godzinyZeroWiersz_'+wiersz).html('');  
        var wpisz_sesje = sessionStorage.getItem("GodzinyWiersz_"+wiersz);    
        $(this).html( wpisz_sesje );  
        var max_zadan = sessionStorage.getItem("max_zadan");  
        var puste = 1;
        //alert(max_zadan);
        // sprawdz czy nie ma nie zaznaczonych pól tabeli  
        for(var x=0; x<max_zadan; x++){
            if( sessionStorage.getItem("idfirmy_"+x) == null  ){
                puste = 0;
            }
        }
        
        if(puste == 1){
            //alert("powinno grać");
           $('input.zapiszKontraktacje').slideDown("slow");
        }  
          
          
    });  
    
    
   //===============================================================================================================

      $(document).on('click','div.podmienSpecjalizacje',function(){
          var zazn; 
            zazn = $('select[name="specjalizacje"] option:selected');
            $('select[name^="specjalizacje_moje"]').append(zazn);
          
    }); 
    
    //===============================================================================================================
    
    $(document).on('click','div.podmienSpecjalizacje_moje',function(){
    var zazn; 
            zazn = $('select[name^="specjalizacje_moje"] option:selected');
            $('select[name="specjalizacje"]').append(zazn);
          
    });


    //=============================================================================================================== 
    
    $(document).on('click','input[name="zapiszProfil"]',function(){
        $('select[name^="specjalizacje_moje"] option').prop('selected', true);
        return true;

          
    });

    
   
    
   //===============================================================================================================     
    
      $(document).on('click','div.dodajZainteresowania',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc = $('input[name="nazwaZainteresowania"]').val();
          var my_url=linczek+"Student_Profil/UpdateProfil/"+uid+'/zainteresowania/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                console.dir(data);
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/zainteresowania/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaZainteresowania').html(zwroc); 
            },
            error: function(){
                $('div.listaZainteresowania').html("Error "+data);
            } 
        });      
    });  
    
    
   //===============================================================================================================     
    
      $(document).on('click','div.dodajEdukacje',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc1 = $('input[name="nazwaEdukacja"]').val();
          var wartosc2 = $('input[name="nazwaEdukacjaOd"]').val();
          var wartosc3 = $('input[name="nazwaEdukacjaDo"]').val();
          var wartosc = wartosc1+' ( '+wartosc2+' - '+wartosc3+' ) ';
          var my_url=linczek+"/Student_Profil/UpdateProfil/"+uid+'/edukacja/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/edukacja/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaEdukacja').html(zwroc); 
            },
            error: function(){
                $('div.listaEdukacja').html("Error "+data);
            } 
        });      
    });      
    
    
   //===============================================================================================================     
    
      $(document).on('click','div.dodajZatrudnienie',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc1 = $('input[name="nazwaZatrudnienie"]').val();
          var wartosc2 = $('input[name="nazwaZatrudnienieOd"]').val();
          var wartosc3 = $('input[name="nazwaZatrudnienieDo"]').val();
          var wartosc = wartosc1+' ( '+wartosc2+' - '+wartosc3+' ) ';
          
          var msg, msgType, my_url=linczek+"/Student_Profil/UpdateProfil/"+uid+'/zatrudnienie/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/zatrudnienie/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaZatrudnienie').html(zwroc); 
            },
            error: function(){
                $('div.listaZatrudnienie').html("Error "+data);
            } 
        });      
    });     
    
   //===============================================================================================================     
    
      $(document).on('click','div.dodajKursy',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc = $('input[name="nazwaKursy"]').val();
          var msg, msgType, my_url=linczek+"/Student_Profil/UpdateProfil/"+uid+'/kursy/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/kursy/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaKursy').html(zwroc); 
            },
            error: function(){
                $('div.listaKursy').html("Error "+data);
            } 
        });      
    }); 
    
    
   //===============================================================================================================    
    
    
      $(document).on('click','div.dodajCertyfikaty',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc = $('input[name="nazwaCertyfikaty"]').val();
          var msg, msgType, my_url=linczek+"/Student_Profil/UpdateProfil/"+uid+'/certyfikaty/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/certyfikaty/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaCertyfikaty').html(zwroc); 
            },
            error: function(){
                $('div.listaCertyfikaty').html("Error "+data);
            } 
        });      
    }); 
    
    
   //===============================================================================================================        
    
       $(document).on('click','div.dodajUprawnienia',function(){
            
          var i, zwroc, uid = $(this).data('uid');
          var wartosc = $('input[name="nazwaUprawnienia"]').val();
          var msg, msgType, my_url=linczek+"/Student_Profil/UpdateProfil/"+uid+'/uprawnienia/';
          
         $.ajax({
            type: "POST",
            url: my_url,
            data: {wartosc: wartosc},
            dataType: "json",
            cache: false,
            success: function(data){
                zwroc = '<ul>';
                for(i=0;i<data['licz'];i++){
                    zwroc += '<li>'+data['dane'][i]+' <a href="'+linczek+'/Student_Profil/UpdateProfilDel/'+uid+'/uprawnienia/'+i+'">Usuń</a></li>';    
                }
                zwroc += '</ul>';
                $('div.listaUprawnienia').html(zwroc); 
            },
            error: function(){
                $('div.listaUprawnienia').html("Error "+data);
            } 
        });      
    }); 
    
    
   //===============================================================================================================       
    
    
      $(document).on('click','input.zapiszKontraktacje',function(e){
          e.preventDefault();
          var max_zadan = sessionStorage.getItem("max_zadan");
          var user_id = sessionStorage.getItem("user_id");
          var staz_id = $('select[name="przygotujStaze"]').val();
          var tab = {};
          for(i=0;i<max_zadan;i++){
              
              tab['idFirma_'+i] = sessionStorage.getItem("idfirmy_"+i);
              tab['idHarmo_'+i] = sessionStorage.getItem("idharmo_"+i);
              tab['godziny_'+i] = sessionStorage.getItem("GodzinyWiersz_"+i);
              tab['testy_'+i] = sessionStorage.getItem("testy_"+i);
              tab['user_id'] = sessionStorage.getItem("user_id");
              tab['username'] = sessionStorage.getItem("username");
              tab['username_test'] = sessionStorage.getItem("username_test");   
          }
          var msg, msgType, my_url=linczek+"/Student_Staz/WyslijKontraktacje/";
          
          e.preventDefault();
          

        $.ajax({
            type: "POST",
            url: my_url,
            data: {tablica_danych: tab, max_zadan: max_zadan, user_id: user_id, staz_id: staz_id},
            //dataType: "json",
            cache: false,
            success: function(data){
            console.dir(data);
                $('input[name="zapiszKontraktacjeStazu"]').hide('slow');
                //$('select[name="przygotujZadaniaZawodowe"]').hide('slow');
                //$('span.wybierzZawod').hide('slow');
                //alert(data);
                if(data == 'success'){
                    msg = 'Dziękujemy za dodanie kontraktacji stażu! Propozycje stażu u wybranych firm zostały zapisane. Już niedługo w Twojej skrzyne e-mail pojawią się odpowiednie informacje.';
                    msgType = 'success';               
                }
                else if(data == 'error_user_exist'){
                    msg = 'Twoje kontraktacje dla tego stanowiska już znajdują się w naszej bazie! Prosimy czekać cierpliwie na odpowiedź... ';
                    msgType = 'warning';                  
                }
                
                else if(data == 'error_database'){
                    msg = 'Błąd zapisywania danych w bazie! ';
                    msgType = 'danger';                  
                }
                else if(data == 'error_zero'){
                    msg = 'Brak danych do zapisania!';
                    msgType = 'danger';                  
                }
                $('div#przygotujZadania').html('<div class="margTop20 alert alert-'+msgType+'" role="alert">'+msg+'</div>'); 
            },
            error: function(data){
              console.dir(data);
                $('div#przygotujZadania').html("Błąd dodawania kontraktacji!");
            }
            
        });           
 
          
          
    });  
    
    
   //===============================================================================================================    
    
    $('select[name="dodajIdSpecjalizacje"]').on('change',function(){
        
        var idZawody = $(this).val(); 
        //alert('test');
        //event.preventDefault();
        var my_url=linczek+"/Pracodawca/AjaxPobierzZawody/"+idZawody;
        //var moje = window.location.host;
        
        
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
              console.dir(data); 
                $('select[name="dodajIdZawody"] option').remove();
                if (data.length>0){
                    $('select[name="dodajIdZawody"]').append('<option value="" selected="selected">Wybierz zadanie</option>');
                    for (i=0;i<data.length;i++){
                        $('select[name="dodajIdZawody"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                    }
                }
                else{
                    $('select[name="dodajIdZawody"]').append('<option value="">Brak zawodów dla wybranego kierunku</option>');
                }
            },
            error: function(data){
              console.log('Blad! '+data);
            }
            
        }); 
    });   
    
    
    //==========================================================================================================
    
    
    
    $('select[name="dodajIdZawodPodzadania"]').on('change',function(){
        
        idZadania = $(this).val(); 
        //alert('test');
        //event.preventDefault();
        var my_url=linczek+"/Pracodawca/AjaxPobierzZadania/"+idZadania;
        //var moje = window.location.host;
        
        
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
              console.dir(data); 
                $('select[name="dodajIdZadanie"] option').remove();
                if (data.length>0){
                    $('select[name="dodajIdZadanie"]').append('<option value="" selected="selected">Wybierz zadanie</option>');
                    for (i=0;i<data.length;i++){
                        $('select[name="dodajIdZadanie"]').append('<option value="'+data[i]['id']+'">'+data[i]['nazwa']+'</option>');
                    }
                }
                else{
                    $('select[name="dodajIdZadanie"]').append('<option value="">Brak zadań dla wybranego zawodu</option>');
                }
            },
            error: function(data){
              console.log('Blad! '+data);
            }
            
        }); 
    });      
    
    var zliczOpcje = 0;
    
    
    
    
    
    
    
    $('input[name="zapiszEgzamin"]').on('click',function(ev){
        //ev.preventDefault;
            //alert("preesss");
            //return false;
        zliczPyt = 0;
        for(i=1;i<=max_pytan;i++){
            zliczOpcje = 0;
            for(j=1;j<=max_odp;j++){
                if( $('input[name^="wlasciwa_'+i+'"]').is(':checked') ){
                   zliczOpcje++; 
                }
            }
            //alert(zliczOpcje);
            if( zliczOpcje == 0 ){
                $('div.egzamin_bledy').html('<div class="alert alert-danger egzamin_bledy" role="alert">Uzupełnij brakujące lub nie zaznaczone pola!</div>');
                $('input[name^="wlasciwa_'+i+'"]').parent().addClass("backgroundRed"); 
            }
            else{
                $('input[name^="wlasciwa_'+i+'"]').parent().removeClass("backgroundRed");
                zliczPyt++;
            }
        }
        
        if( zliczPyt == max_pytan ){
            return true;
        }
        else{
            return false;
        }
        
    });  
    
    
    
    
    /*
    $(document).on('click','i.edycja-zawodu',function(){
        var id = $(this).parent().parent().attr('id');
        var staraNazwa = $(this).parent().parent().children('span.nazwaZawodu').text();
        var nowaNazwa = prompt("Podaj nową nazwę zawodu:", staraNazwa);
        if (nowaNazwa != null && nowaNazwa != "") {
           
            var nowaNazwaEncode = $.base64.encode(nowaNazwa);
            window.location.href = linczek+'/Pracodawca/EdytujZawod/' + nowaNazwaEncode + '/' + id + '/';
        }
    });
    
    */

    
    
    
    
    $(document).on('click','a.usuwanie-universal',function(e){
        //e.preventDefault();
        if (confirm('Czy na pewno chcesz usunąć?')) {
            return true;
        }
        else{
            return false;
            
        }
    });

    
        $(document).on('click','a.zmiana-universal',function(e){
        //e.preventDefault();
        if (confirm('Czy na pewno wykonać tą operację?')) {
            return true;
        }
        else{
            return false;
            
        }
    });
    
    
    $(document).on('click','a.usun_komunikat',function(){
        if (confirm('Czy na pewno chcesz to usunąć?')) {
            return true;
        }
        else{
            return false;
        }
    });    
    
    
    // -------------------------- kwalifikacje -----------------------------------
    
    $(document).on('click','i.edycja-kwalifikacji',function(){
        var id = $(this).parent().parent().attr('id');
        var urlx = linczek+'/Pracodawca/EdytujKwalifikacjeMy/' + id + '/';    
            //alert(urlx);
            window.location.href = urlx;

    });    
    
    $(document).on('click','i.usuwanie-kwalifikacji',function(){
        var id = $(this).parent().parent().attr('id');
        if (confirm('Czy na pewno chcesz usunąć tą kwalifikację? Usunę kaskakdowo wszystkie powiązania!')) {
            window.location.href = linczek+'/Pracodawca/UsunKwalifikacje/' + id +'/';
        }
    });
    
    
    // -------------------------- zawody -----------------------------------
        $(document).on('click','i.edycja-zawodu',function(){
        var id = $(this).parent().parent().attr('id');
        var urlx = linczek+'/Pracodawca/EdytujZawodMy/' + id + '/';    
            //alert(urlx);
            window.location.href = urlx;

    });
    

    

    $(document).on('click','i.usuwanie-zawodu',function(){
        var id = $(this).parent().parent().attr('id');
        if (confirm('Czy na pewno chcesz usunąć ten zawód? Usunę kaskadowo wszystkie powiązania!')) {
            window.location.href = linczek+'/Pracodawca/UsunZawod/' + id +'/';
        }
    });
        // -------------------------- zadania -----------------------------------
    $(document).on('click','i.edycja-zadania',function(){
        var id = $(this).parent().parent().attr('idZadania');
        var idZaw = $(this).parent().parent().attr('idZawodu');
        var urlx = linczek+'/Pracodawca/EdytujZadanieMy/' + id + '/'+idZaw+'/';    
            //alert(urlx);
            window.location.href = urlx;
    });
    /*
    $(document).on('click','i.edycja-zadania',function(){
        console.log('a');
        var id = $(this).parent().parent().attr('idZadania');
        var staraNazwa = $(this).parent().parent().children('span.nazwaZadania').text();
        var nowaNazwa = prompt("Podaj nową nazwę zadania:", staraNazwa);
        if (nowaNazwa != null && nowaNazwa != "") {
            window.location.href = linczek+'/Pracodawca/EdytujZadanieMy/' + id + '/';
        }
    });
    */
   
    $(document).on('click','i.usuwanie-zadania',function(){
        //console.log('d');
        var id = $(this).parent().parent().attr('idZadania');
        if (confirm('Czy na pewno chcesz usunąć to zadanie? Usunę kaskadowo wszystkie powiązania!')) {
            //alert(id);
            window.location.href = linczek+'/Pracodawca/UsunZadanie/' + id + '/';
        }
    });

    // -------------------------- podzadania -----------------------------------
     $(document).on('click','i.edycja-podzadania',function(){
        var id = $(this).parent().parent().attr('idPodzadania');
        var idZad = $(this).parent().parent().attr('idZadanie'); 
        var urlx = linczek+'/Pracodawca/EdytujPodzadanieMy/' + id + '/'+idZad+'/';    
            //alert(urlx);
            window.location.href = urlx;
    });   
    /*
    $(document).on('click','i.edycja-podzadania',function(){
        console.log('2a');
        var id = $(this).parent().parent().attr('idPodzadania');
        var staraNazwa = $(this).parent().parent().children('span.nazwaPodzadania').text();
        var nowaNazwa = prompt("Podaj nową nazwę podzadania:", staraNazwa);
        if (nowaNazwa != null && nowaNazwa != "") {
            window.location.href = linczek+'/Pracodawca/EdytujPodzadanieMy/' + id + '/';
        }
    });

    */
    
    $(document).on('click','i.usuwanie-podzadania',function(){
        console.log('3d');
        var id  = $(this).parent().parent().attr('idPodzadania');
        if (confirm('Czy na pewno chcesz usunąć to podzadanie?')) {
            window.location.href = linczek+'/Pracodawca/UsunPodzadanie/' + id +'/';
        }
    });

    
      $(document).on('click','a.edytujEgzamin',function(){
        
        var idEgz  = $(this).data('idegzamin');
        alert('co '+idEgz)
          //console.log(idEgz);      
    });
    
    
    
    
    
    $(document).on('click','i.usuwanie-podzadania-elementu',function(){
        var idUsuwanegoPodzadania = $(this).attr('id');
        id = idUsuwanegoPodzadania.split('-')[1];
        delete czasy[id];
        var nowaSuma = parseInt(0,10);
        for (i=0; i<czasy.length;i++){
            if (czasy[i] == null){
                continue;
            }
            nowaSuma += parseInt(czasy[i],10);
        }
        $('#lacznyCzas').text(nowaSuma);
        $('li#li-' + id + '').remove();
        var cosJest = false;
        for (ii=0; ii<czasy.length; ii++){
            if (czasy[ii] != undefined) {
                cosJest = true;
            }
        }
        if(!cosJest){
            czasy = [];
        }
    });
    
        
    
    var sumuj = 0;
    $('input.godzinyHarmo').on('blur',function(){
        
        var hours = $(this).val();
        //alert(hours);
        var iter = $(this).data("iter");
        if(hours > 0 ){
            sumuj = Number(sumuj)+Number(hours); 
            if( $("input.wybierzInp_"+iter).is(':checked') ){
                //$("input.wybierzInp_"+iter).removeAttr("checked");    
            }
            else{

                $("input.wybierzInp_"+iter).attr("checked","true");
                //sumuj = sumuj-hours;
            }            
        }
        

        console.log(sumuj);   
        $('span#lacznyCzas').html(sumuj);
            
            
    });
    
    $('button.kliknijHarmonogramy').on('click',function(){
        $('div.pokazHarmonogramy').slideToggle('slow');
    });
    
    
    
    
    $('#dodajElementButton').on('click',function(){
        var zawod = $('select[name="nazwaZawodu"]').val();
        var zadanie = $('select[name="nazwaZadania"]').val();
        var podzadanie = $('select[name="nazwaPodzadania"]').val();
        var czas = $('input[name="czasPodzadanie"]').val();
        
        var my_url= linczek+"/Pracodawca/DodajElementyHarmonogramu/";
        
        if (zawod != 0 && zadanie != 0 && podzadanie != 0 && czas != ''){
            if( isNumeric(czas) ){

               $('select[name="nazwaZawodu"]').removeClass("error_border");
               $('select[name="nazwaZadania"]').removeClass("error_border");
               $('select[name="nazwaPodzadania"]').removeClass("error_border");
               $('input[name="czasPodzadanie"]').removeClass("error_border");
                $('div.HarmonogramBlad').html('');    
                

            // wyslij ajaxa
                $.ajax({
                method: "POST",
                // odhacz to do testów bo znów kurwa błędu bedziesz szukał 2 godziny!!!!    
                dataType: "json",
                url: my_url,
                data: {
                    nazwaZawodu: zawod,
                    nazwaZadania: zadanie,
                    nazwaPodzadania: podzadanie,
                    czasPodzadanie: czas,
                    dodajElement: 1
                },
                success: function(response){
                    console.log(response);
                    if(response[0]['exists'] > 0 ){
                        $('div.HarmonogramBlad').html('<div class="alert alert-warning" role="alert">Podany wpis już istnieje!</div'); 
                    }
                    else{
                        $('div#elementyHarmonogramu').html('');                                                
                        var i, liczCzas = 0;    
                        for(i=1; i<response.length; i++){
                                var strx = '<div class="row">';
                                liczCzas += response[i]['czas'];
                                strx += '<div class="col-md-1"><input class="zaznacz_all" data-hours="'+response[i]['czas']+'" type="checkbox" name="element_'+response[i]['id']+'" /></div>'
                                +'<div class="col-md-3">'+response[i]['zawody_nazwa']+' </div>'
                                +'<div class="col-md-3">'+response[i]['zadania_nazwa'] +' </div> '
                                +'<div class="col-md-3">'+response[i]['podzadania_nazwa'] +' </div> '
                                +'<div class="col-md-1">'+response[i]['czas'] +'  h</div>'
                                +'<div class="col-md-1">'
                                +'<a href="'+linczek+'Pracodawca/StworzHarmonogram_Elementy_Edytuj/'+response[i]['id']+'/"><i class="fa fa-pencil-square-o" aria-hidden="true"></i></a>'
                                +'<a href="'+linczek+'Pracodawca/StworzHarmonogram_Elementy_Usun/'+response[i]['id']+'/" class="usun_komunikat"><i class="fa fa-trash-o" aria-hidden="true"></i>'
                            +'</a></div>';
                            ;
                        strx += '</div>';    
                        $('div#elementyHarmonogramu').append(strx);                        
                        }
                        //alert("ajaxok");
                        $('div#lacznyCzas').html('<p>'+liczCzas+'</p>'); 
                    }



                },
                error: function(response){
                    $('div.HarmonogramBlad').html('<div class="alert alert-warning" role="alert">Błąd dodania elementu! </div'); 
                },
            });                
                
                
                
                
                
                
                
                
            }
            else{
                
                $('input[name="czasPodzadanie"]').addClass("error_border") ;
                $('div.HarmonogramBlad').html('<div class="alert alert-danger" role="alert">Czas powinien być liczba! </div'); 
                
            }

            /*
            var zawodTekst = $('select[name="nazwaZawodu"] option:selected').text();
            var zadanieTekst = $('select[name="nazwaZadania"] option:selected').text();
            var podzadanieTekst = $('select[name="nazwaPodzadania"] option:selected').text();
            if (! czasy[podzadanie]){
                $('#elementyHarmonogramuUl').append('<li id="li-' + podzadanie + '">' + zawodTekst + ' > ' + zadanieTekst + ' > ' + podzadanieTekst + ' <strong>(' + czas + ' h)</strong> <i class="fa fa-trash usuwanie-podzadania-elementu" id="usun-' + podzadanie + '" aria-hidden="true"></i></li>');
                $('#elementyHarmonogramu').val($('#elementyHarmonogramu').val() + ',' + podzadanie + ',');
                $('select[name="nazwaZawodu"]').val('0');
                $('select[name="nazwaZadania"]').val('');
                $('select[name="nazwaPodzadania"]').val('');
                $('input[name="czasPodzadanie"]').val('');
                czasy[podzadanie] = parseInt(czas,10);
                var nowaSuma = parseInt(0,10);
                for (i=0; i<czasy.length;i++){
                    if (czasy[i] == null){
                        continue;
                    }
                    nowaSuma += parseInt(czasy[i],10);
                }
                $('#lacznyCzas').text(nowaSuma);
            }
            */
        }
        else{
            if(zawod == 0){
               $('select[name="nazwaZawodu"]').addClass("error_border");
            }
            if(zadanie == 0){
               $('select[name="nazwaZadania"]').addClass("error_border");
            }
            if(podzadanie == 0){
               $('select[name="nazwaPodzadania"]').addClass("error_border");
            }
            if(czas == 0){
               $('input[name="czasPodzadanie"]').addClass("error_border");
            }
            $('div.HarmonogramBlad').html('<div class="alert alert-danger" role="alert">Uzupełnij wszystkie pola! </div'); 
        }
    });
    
    $('input[name="zapiszHarmonogram"]').on('click',function(){
        nazwaHarmonogramu = $('input[name="nazwaHarmonogramu"]').val();
        if (nazwaHarmonogramu != '' && czasy.length > 0){
            tablicaGodzin = JSON.stringify(czasy);
            var my_url="http://[::1]/bfkk-cns-ws/Pracodawca/StworzHarmonogramZapytanie/";
            $.ajax({
                method: "POST",
                url: my_url,
                data: {
                    nazwaHarmonogramuDoPhp: nazwaHarmonogramu,
                    tablicaGodzinDoPhp: tablicaGodzin
                },
                success: function(response){
                    if(response.trim() != ''){
                        var komunikatJs = '<div id="komunikatJs">' +
                            '<div class="container">' +
                                '<div class="alert alert-dismissable alert-success">' +
                                    '<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                                    '<p>Harmonogram dodany pomyślnie</p>' +
                                '</div>' +
                            '</div>' +
                        '</div>';
                        $('div#divNaKomunikat').html(komunikatJs);
                        $('i.usuwanie-podzadania-elementu').click();
                        $('input[name="nazwaHarmonogramu"]').val('');
                        czasy = [];
                    }
                    else{
                        var komunikatJs = '<div id="komunikatJs">' +
                            '<div class="container">' +
                                '<div class="alert alert-dismissable alert-danger">' +
                                    '<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                                    '<p>Błąd podczas dodawania harmonogramu (prawdopodobnie nazwa jest zajeta, spróbuj innej)</p>' +
                                '</div>' +
                            '</div>' +
                        '</div>';
                        $('div#divNaKomunikat').html(komunikatJs);
                    }
                },
                error: function(response){
                    console.log('Error #48274923');
                },
            });
        }
        else{
            var komunikatJs = '<div id="komunikatJs">' +
                '<div class="container">' +
                    '<div class="alert alert-dismissable alert-warning">' +
                        '<a href="#" class="close" data-dismiss="alert" aria-label="close">&times;</a>' +
                        '<p>Uzupełnij nazwę harmonogramu oraz jego elementy, a następnie spróbuj ponownie</p>' +
                    '</div>' +
                '</div>' +
            '</div>';
            $('div#divNaKomunikat').html(komunikatJs);
        }
    });

    $(document).on('click','.dodajZawod',function(){
        $('.dodajZawodKontener').toggle();
    });

    
    $(document).on('click','.dodajStaz',function(){
        $('.dodajStazKontener').toggle();
    });
    
    $(document).on('click','.dodajZadanie',function(){
        $('.dodajZadanieKontener').toggle();
    });
    
        $(document).on('click','.dodajKwalifikacje',function(){
        $('.dodajKwalifikacjeKontener').toggle();
    });
    
    /*
    $(document).on('click','.dodajZadanie',function(){
        $(this).parent().parent().find('.dodajZadanieKontener').toggle();
    });

    $(document).on('click','.dodajPodzadanie',function(){
        $(this).parent().parent().find('.dodajPodzadanieKontener').toggle();
    });
    */

        //---------------------------------- raczej nie bedzie uzywane --------------------------------
    /*
    
    $('span.nazwaZawodu').on('click',function(){
        idZawodu = $(this).parent().attr('id');
        event.preventDefault();
        var my_url="http://[::1]/bfkk-cns-ws/Pracodawca/PobierzListeZadan/"+idZawodu;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                lista_zadan_zawodowych = '';
                if (data.length>0) {
                    idZawodu = data[0]['id_zawodu'];
                    for(i=0;i<data.length;i++) {
                        lista_zadan_zawodowych += ''+
                        '<p id="zadanie_'+data[i]['id']+'">'+
                            '<span class="nazwaZadania">'+data[i]['nazwa']+'</span>'+
                            '<span data-toggle="modal" data-target="#modalEdycjaZadania'+data[i]['id']+'"> <i class="fa fa-pencil-square-o edycja-zadania" aria-hidden="true"></i></span>'+
                            '<span data-toggle="modal" data-target="#modalUsuwanieZadania'+data[i]['id']+'"> <i class="fa fa-trash-o usuwanie-zadania" aria-hidden="true"></i></span>'+
                        '</p>'+
                        '<div id="podzadaniaDlaZadania'+data[i]['id']+'"></div>';
                    }
                }
                lista_zadan_zawodowych += ''+
                    '<p><span class="dodajZadanie pointer"><strong>Dodaj nowe zadanie</strong></span></p>'+
                    '<div class="dodajZadanieKontener display-none">'+
                        '<form action="" id="dodajZadanieFormularz" method="post" accept-charset="utf-8">'+
                            '<input type="text" name="idZawodu" value="'+idZawodu+'" hidden="hidden">'+
                            '<input type="text" name="nazwaZadania" value="" class="form-control" placeholder="Nazwa zadania" required="required">'+
                            '<input type="submit" name="dodajZadanie" value="Dodaj nowe zadanie" class="btn btn-primary btn-block">'+
                        '</form>'+
                    '</div>';
                if ($('#zadaniaDlaZawodu'+idZawodu).find('span.nazwaZadania').length == 0 && $('#zadaniaDlaZawodu'+idZawodu).find('span.dodajZadanie').length == 0){
                    $('#zadaniaDlaZawodu'+idZawodu).append(lista_zadan_zawodowych);
                }
            }
        });
    });
    
 

    $('span.nazwaZawodu').on('click',function(){
        idZawodu = $(this).parent().attr('id');
        event.preventDefault();
        var my_url="http://[::1]/bfkk-cns-ws/Pracodawca/PobierzListeZadan/"+idZawodu;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                lista_zadan_zawodowych = '';
                if (data.length>0) {
                    idZawodu = data[0]['id_zawodu'];
                    for(i=0;i<data.length;i++) {
                        lista_zadan_zawodowych += ''+
                        '<p id="zadanie_'+data[i]['id']+'">'+
                            '<span class="nazwaZadania">'+data[i]['nazwa']+'</span>'+
                            '<span data-toggle="modal" data-target="#modalEdycjaZadania'+data[i]['id']+'"> <i class="fa fa-pencil-square-o edycja-zadania" aria-hidden="true"></i></span>'+
                            '<span data-toggle="modal" data-target="#modalUsuwanieZadania'+data[i]['id']+'"> <i class="fa fa-trash-o usuwanie-zadania" aria-hidden="true"></i></span>'+
                        '</p>'+
                        '<div id="podzadaniaDlaZadania'+data[i]['id']+'"></div>';
                    }
                }
                lista_zadan_zawodowych += ''+
                    '<p><span class="dodajZadanie pointer"><strong>Dodaj nowe zadanie</strong></span></p>'+
                    '<div class="dodajZadanieKontener display-none">'+
                        '<form action="" id="dodajZadanieFormularz" method="post" accept-charset="utf-8">'+
                            '<input type="text" name="idZawodu" value="'+idZawodu+'" hidden="hidden">'+
                            '<input type="text" name="nazwaZadania" value="" class="form-control" placeholder="Nazwa zadania" required="required">'+
                            '<input type="submit" name="dodajZadanie" value="Dodaj nowe zadanie" class="btn btn-primary btn-block">'+
                        '</form>'+
                    '</div>';
                if ($('#zadaniaDlaZawodu'+idZawodu).find('span.nazwaZadania').length == 0 && $('#zadaniaDlaZawodu'+idZawodu).find('span.dodajZadanie').length == 0){
                    $('#zadaniaDlaZawodu'+idZawodu).append(lista_zadan_zawodowych);
                }
            }
        });
    });
    
    $(document).on('click','span.nazwaZadania',function(){
        idZadania = $(this).parent().attr('id').split('_')[1];
        event.preventDefault();
        var my_url="http://[::1]/bfkk-cns-ws/Pracodawca/PobierzListePodzadan/"+idZadania;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                lista_podzadan_zawodowych = '';
                if (data.length>0) {
                    idZadania = data[0]['id_zadania'];
                    for(i=0;i<data.length;i++) {
                        lista_podzadan_zawodowych += ''+
                        '<p id="podzadanie_'+data[i]['id']+'">'+
                            '<span class="nazwaPodzadania">'+data[i]['nazwa']+'</span>'+
                            '<span data-toggle="modal" data-target="#modalEdycjaPodzadania'+data[i]['id']+'"> <i class="fa fa-pencil-square-o edycja-podzadania" aria-hidden="true"></i></span>'+
                            '<span data-toggle="modal" data-target="#modalUsuwaniePodzadania'+data[i]['id']+'"> <i class="fa fa-trash-o usuwanie-podzadania" aria-hidden="true"></i></span>'+
                        '</p>';
                    }
                }
                lista_podzadan_zawodowych += ''+
                    '<p><span class="dodajPodzadanie pointer"><strong>Dodaj nowe podzadanie</strong></span></p>'+
                    '<div class="dodajPodzadanieKontener display-none">'+
                        '<form action="" id="dodajPodzadanieFormularz" method="post" accept-charset="utf-8">'+
                            '<input type="text" name="idZadania" value="'+idZadania+'" hidden="hidden">'+
                            '<input type="text" name="nazwaPodzadania" value="" class="form-control" placeholder="Nazwa podzadania" required="required">'+
                            '<input type="submit" name="dodajPodzadanie" value="Dodaj nowe podzadanie" class="btn btn-primary btn-block">'+
                        '</form>'+
                    '</div>';
                if ($('#podzadaniaDlaZadania'+idZadania).find('span.nazwaPodzadania').length == 0 && $('#podzadaniaDlaZadania'+idZadania).find('span.dodajPodzadanie').length == 0){
                    $('#podzadaniaDlaZadania'+idZadania).append(lista_podzadan_zawodowych);
                }
            }
        });
    });
*/
//---------------------------------------------------------------- koniec zadan

    
    

    
    $('select[name="listaStazy"]').on('change',function(){
        wybranyStaz = $(this).val();
        event.preventDefault();
        var my_url="http://[::1]/bfkk-cns-ws/Pracodawca/PobierzSzczegolyStazu/"+wybranyStaz;
        $.ajax({
            type: "POST",
            url: my_url,
            data: {},
            dataType: "json",
            cache: false,
            success: function(data){
                if (data.length>0){
                    console.log(data);
                    $('#komunikatZNazwaStazu').text('');
                    $('#komunikatZNazwaStazu').append('<h1 class="upper section-title section-subtitle">Tworzysz dziennik dla stażu o nazwie ' + data[0].nazwaS + '</h1>');
                    $('#elementyStazu').text('');
                    $('#elementyStazu').append('<h4 class="upper section-title section-subtitle">Poniżej znajdują się elementy wybranego stażu:</h4>');
                    $('#elementyStazu').append('<ul>');
                    for (i=0; i<data.length; i++){
                        $('#elementyStazu').append('<li>'+data[i].nazwaZ+' &gt; '+data[i].nazwaZZ+' &gt; '+data[i].nazwaPZ+' (czas: '+data[i].czas+' h)</li>');
                    }
                    $('#elementyStazu').append('</ul>');
                    $('#elementyStazu').append('');
                    console.log('#3468134712');
                }
                else{
                    console.log('#7364823432');
                }
            },
            error: function(data){
                console.log('#8379234982');
            }
        });
    });
    
    
    
    $('input[name="submitRegistration"]').on('click',function(ev){
        //ev.preventDefault();
        //alert('yy');
        var i, licz, ok = 0, hasla = 0, tablica = new Array;
        tablica[0] = $('#first_name').val();
        tablica[1] = $('#last_name').val();
        tablica[2] = $('#email').val();
        tablica[3] = $('#first_name').val();
        tablica[4] = $('#phone').val();
        //tablica[5] = $('#identity_register').val();
        //tablica[6] = $('#password_register').val();
        //tablica[7] = $('#password_confirm_register').val();
        
        licz = tablica.length;
        for(i=0;i<licz;i++){
            if(tablica[i].length > 0 ){
                ok++;
            }
        }
        
        if(tablica[6] == tablica[7] ){
           hasla = 1;
        }
        
        if( ok == licz ){
            //alert('puszczaj');
            return true;
        }
        else{
            $('div#przygotujUwagi').html('<div class="alert alert-danger">Formularz zawiera puste lub niewłaściwe pola!</div>');
            return false;
        }

    });
    
    
   
    
    $('div.klik_zawody').on('click',function(){
        $('ol.pokaz_schowaj_zawody').toggle("fast");
    });
    
    $('div.klik_zadania').on('click',function(){
        $('ol.pokaz_schowaj_zadania').toggle("fast");
    });
    
    $('div.klik_kwalifikacje').on('click',function(){
        $('ol.pokaz_schowaj_kwalifikacje').toggle("fast");
    });
    
    
    
    
    $('span.nazwaZawodu').on('click',function(){
            $(this).parent().parent().find( $("ol.pokaz_schowaj_zadania") ).toggle("fast");      
    });
    
    $('span.nazwaZadania').on('click',function(){
            $(this).parent().parent().find( $("ol.pokaz_schowaj_podzadania") ).toggle("fast");      
    });
    

    
//##################################################### Wyszukiwarka contentu ################################################################

        $( "input#przeszukaj_zawody" ).on( "keyup", function() {
          var pies = $( this ).val();
          var link = $(this).data("url");
          var mini = pies.length;
          //alert(link);
          if(mini > 2){
            //$("div.jsowe").hide();
            $("div.komunikatZawody").hide();
              //$("ol.pokaz_schowaj_zawody li").hide();
            $("div.tabsy").hide();
            $("ol.pokaz_schowaj_zawody li").each(function(index){
              var xxx = $(this).text().toLowerCase().indexOf(pies);
              if( xxx >= 0){
                console.log("dobry to"+index+" , licz to "+ $(this).text().indexOf(pies)+" fraza to"+$(this).text() ); 
                $(this).show();
              //$("div.jsowe").show();
              }
              else{
                console.log("zly to"+index+" , fraza to "+ $(this).text().indexOf(pies)+" fraza to "+$(this).text() ); 
                $(this).hide();
              }              
            }); // koneic each
              
            $("ol.pokaz_schowaj_zawody").show();

            
            /*
            $.post( 'http://'+link+"ajaxowe/jq_search.php",{fraza: pies, urlik: link},function(data){
              $("div.jsowe").html(data);
              $("div.jsowe").show();
            });
            */          
          }
          else{
            if(mini == 0){
                $("ol.pokaz_schowaj_zawody li").show();
                $("div.komunikatZawody").hide();
            }
            else{
                $("div.komunikatZawody").show();
                $("div.komunikatZawody").html('Musisz wpisać minimum 3 znaki...').show();
            }
            
          }

        });


    

    
    
    
    


});
